mat-form-field {
    width: 100%;
}
mat-form-field
{
  width: 200px;
  transition: width 0.25s ease-in;
}


#button1 {
    background-color: white;
    color: red;
    border: none;
    text-align: center;
    font-size: 16px;
    margin: 4px 2px;
    transition-duration: 0.4s;
    cursor: pointer;
    font-family: Monospace;
  }

#button1:hover {
    background-color: #ff0000;
    color: white;
  }

#button2 {
    background-color: white;
    color: green;
    border: none;
    text-align: center;
    font-size: 16px;
    margin: 4px 2px;
    transition-duration: 0.4s;
    cursor: pointer;
    font-family: Monospace;
    text-size-adjust: auto;
  }

#button2:hover {
    background-color: #007c15;
    color: white;
  }
